Page MenuHomePhabricator

[[Special:CentralAuth/:]] causes fatal: Call to a member function getPrefixedText() on a non-object (NULL)
Closed, ResolvedPublic

Description

2015-11-04 01:14:20 mw1248 enwiki exception ERROR: [47ede9e8] /w/index.php?title=Special%3ACentralAuth&target=%3A   BadMethodCallException from line 806 of /srv/mediawiki/php-1.27.0-wmf.4/extensions/CentralAuth/includes/specials/SpecialCentralAuth.php: Call to a member function getPrefixedText() on a non-object (NULL) {"exception_id":"47ede9e8"} 
[Exception BadMethodCallException] (/srv/mediawiki/php-1.27.0-wmf.4/extensions/CentralAuth/includes/specials/SpecialCentralAuth.php:806) Call to a member function getPrefixedText() on a non-object (NULL)
  #0 /srv/mediawiki/php-1.27.0-wmf.4/extensions/CentralAuth/includes/specials/SpecialCentralAuth.php(123): SpecialCentralAuth->showLogExtract()
  #1 /srv/mediawiki/php-1.27.0-wmf.4/includes/specialpage/SpecialPage.php(384): SpecialCentralAuth->execute(NULL)
  #2 /srv/mediawiki/php-1.27.0-wmf.4/includes/specialpage/SpecialPageFactory.php(553): SpecialPage->run(NULL)
  #3 /srv/mediawiki/php-1.27.0-wmf.4/includes/MediaWiki.php(280): SpecialPageFactory::executePath(Title, RequestContext)
  #4 /srv/mediawiki/php-1.27.0-wmf.4/includes/MediaWiki.php(701): MediaWiki->performRequest()
  #5 /srv/mediawiki/php-1.27.0-wmf.4/includes/MediaWiki.php(506): MediaWiki->main()
  #6 /srv/mediawiki/php-1.27.0-wmf.4/index.php(41): MediaWiki->run()
  #7 /srv/mediawiki/w/index.php(3): include(string)
  #8 {main}

Reported by @Earwig.

Event Timeline

Legoktm created this task.Nov 4 2015, 5:36 AM
Legoktm raised the priority of this task from to High.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, Earwig.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2015, 5:36 AM

Change 252947 had a related patch set uploaded (by Glaisher):
Don't fatal even if the Title for the log extract can't be instantiated

https://gerrit.wikimedia.org/r/252947

Change 252947 merged by jenkins-bot:
Don't fatal even if the Title for the log extract can't be instantiated

https://gerrit.wikimedia.org/r/252947

Legoktm closed this task as Resolved.Nov 13 2015, 6:03 PM
Legoktm assigned this task to Glaisher.
Legoktm set Security to None.